> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# ApiKey data model

The ApiKey shape in the Visual Sentinel REST API.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string (uuid) | No |   |
| `name` | string | No |   |
| `prefix` | string | No | First 8 characters of the key for identification |
| `scopes` | array of string | No |   |
| `lastUsedAt` | string (date-time) | No |   |
| `expiresAt` | string (date-time) | No |   |
| `createdAt` | string (date-time) | No |   |

## Used by

- [List API keys](https://docs.visualsentinel.com/reference/api-keys.md#list-api-keys): `GET /api/api-keys`
- [Create API key](https://docs.visualsentinel.com/reference/api-keys.md#create-api-key): `POST /api/api-keys`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
